Skip to main content
PATCH
/
mave
/
threads
/
{threadId}
Update Mave thread
curl --request PATCH \
  --url https://app.mavera.io/api/v1/mave/threads/{threadId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>"
}
'
{
  "id": "<string>",
  "object": "mave_thread",
  "title": "<string>",
  "current_phase": "TRIAGE",
  "complexity": "SIMPLE",
  "credits_used": 123,
  "workspace_id": "<string>",
  "message_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Path Parameters

threadId
string
required

Thread ID

Body

application/json
title
string

New title for the thread

Maximum string length: 100

Response

Thread updated

A Mave conversation thread

id
string

Unique thread identifier

object
enum<string>
Available options:
mave_thread
title
string

Thread title

current_phase
enum<string>

Current orchestration phase

Available options:
TRIAGE,
PLANNING,
RESEARCH,
EXECUTION,
VALIDATION
complexity
enum<string> | null

Query complexity classification

Available options:
SIMPLE,
MODERATE,
COMPLEX,
STRATEGIC
credits_used
integer

Total credits used

workspace_id
string

Workspace ID

message_count
integer

Number of messages

created_at
string<date-time>
updated_at
string<date-time>